/*
    WebBrowser wlx plugin for Total Commander
    Copyright (C) 2005 Shynkarenka Ivan

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
/*//////////////////////////////////////////////////////////////////////////////
//                      WEB BROWSER WLX PLUGIN                                //
//                                                                            //
// AUTHOR:  Mausau (www.codeguru.com)                                         //
// GROUP:   NULL workgroup                                                    //
// PROJECT: The project                                                       //
// PART:    WLX plugin                                                        //
// CREATED: 22.03.2005                                                        //
//////////////////////////////////////////////////////////////////////////////*/
#ifndef __WEBBROWSER__
#define __WEBBROWSER__
/*============================================================================*/
#include <WebContainer.h>
/*============================================================================*/
#define WC_WEBCTRLA "WebBrowser32"
#define WC_WEBCTRLW L"WebBrowser32"
#ifdef UNICODE
#define WC_WEBCTRL WC_WEBCTRLW
#else
#define WC_WEBCTRL WC_WEBCTRLA
#endif
/*============================================================================*/
class CWebBrowser
{
public:
 CWebBrowser(HWND);

 static bool InstallWebBrowser(HINSTANCE hinst);
 static bool UninstallWebBrowser(HINSTANCE hinst);
private:
 friend LRESULT CALLBACK WebBrowserProc(HWND,UINT,WPARAM,LPARAM);

 LRESULT WebBrowserProc(UINT,WPARAM,LPARAM);

 HWND m_hwnd;
 int  m_cxScroll;
 int  m_cyScroll;
 char path[256];
 CWebContainer *m_pContainer;
};
/*============================================================================*/
#endif
