/*
    WebBrowser wlx plugin for Total Commander
    Copyright (C) 2005 Shynkarenka Ivan

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
/*//////////////////////////////////////////////////////////////////////////////
//                      WEB BROWSER WLX PLUGIN                                //
//                                                                            //
// AUTHOR:  Shynkarenka Ivan aka 4ekucT                                       //
// GROUP:   NULL workgroup                                                    //
// PROJECT: The project                                                       //
// PART:    WLX plugin                                                        //
// CREATED: 22.03.2005                                                        //
//////////////////////////////////////////////////////////////////////////////*/
#include <windows.h>
#include <WebBrowser.h>
/*============================================================================*/
HINSTANCE hinst=NULL;
/*============================================================================*/
// Plugin name
const char PluginName[]="WebBrowser.dll";
/*============================================================================*/
HWND __stdcall ListLoad(HWND ParentWin,char* FileToLoad,int ShowFlags)
{
 HWND status=CreateStatusWindow(WS_CHILD|WS_VISIBLE,"",ParentWin,0);
 RECT rect1,rect2;
 int w,h;
 GetClientRect(ParentWin,&rect1);
 GetClientRect(status,&rect2);
 w=rect1.right-rect1.left;
 h=rect1.bottom-rect1.top-rect2.bottom+rect2.top;
 HWND hWnd=CreateWindow(WC_WEBCTRL,"about:blank",WS_CHILD|WS_VISIBLE,0,0,w,h,ParentWin,NULL,hinst,NULL);
 SetProp(hWnd,PROP_STATUS,status);
 SetFocus(hWnd);
 SetWindowText(hWnd,FileToLoad);
 return hWnd;
}
/*============================================================================*/
void __stdcall ListCloseWindow(HWND ListWin)
{
 DestroyWindow((HWND)GetProp(ListWin,PROP_STATUS));
 RemoveProp(ListWin,PROP_STATUS);
 DestroyWindow(ListWin);
}
/*============================================================================*/
BOOL WINAPI DllMain(HINSTANCE hinstDLL,DWORD fdwReason,LPVOID lpvReserved)
{
 // Perform actions based on the reason for calling
 switch (fdwReason)
 {
  case DLL_PROCESS_ATTACH:
  {
   // Initialize once for each new process.
   // Return FALSE to fail DLL load
   hinst=hinstDLL;
   CWebBrowser::InstallWebBrowser(hinst);
   break;
  }
  case DLL_THREAD_ATTACH:
  {
   // Do thread-specific initialization
   break;
  }
  case DLL_THREAD_DETACH:
  {
   // Do thread-specific cleanup
   break;
  }
  case DLL_PROCESS_DETACH:
  {
   // Perform any necessary cleanup
   CWebBrowser::UninstallWebBrowser(hinst);
   break;
  }
 }
 // Successful DLL_PROCESS_ATTACH
 return TRUE;
}
/*============================================================================*/
